!include x64.nsh

XPStyle on
RequestExecutionLevel admin
CRCCheck on
AutoCloseWindow false
ShowInstDetails show

OutFile setup64.exe

Icon "${NSISDIR}\Contrib\Graphics\Icons\orange-install.ico"
UninstallIcon "${NSISDIR}\Contrib\Graphics\Icons\orange-uninstall.ico"

LicenseData "PicoBoardEmulatorLicense.txt"
Name "PicoBoard Emulator"
Caption "PicoBoard Emulator"

Page license
Page components
Page directory
InstallDir "$PROGRAMFILES64\PicoBoardEmulator"
Page instfiles
Section "!PicoBoard Emulator"
	${IfNotThen} ${RunningX64} ${|} MessageBox MB_ICONSTOP "This installer targets 64-bit platforms!" IDOK 0 ${|}
	SectionIn RO
	SetShellVarContext all
	SetOutPath $INSTDIR
	WriteUninstaller uninst.exe
	File "PicoBoardEmulator.exe"
SectionEnd
Section "Create translation file"
	SetOutPath $INSTDIR
	File "PicoBoardEmulator.txt"
SectionEnd
Section "Create Start Menu shortcut"
	CreateDirectory "$SMPROGRAMS\PicoBoard Emulator"
	CreateShortCut "$SMPROGRAMS\PicoBoard Emulator\PicoBoard Emulator.lnk" "$INSTDIR\PicoBoardEmulator.exe" "" "$INSTDIR\PicoBoardEmulator.exe" 0
	CreateShortCut "$SMPROGRAMS\PicoBoard Emulator\Uninstall.lnk" "$INSTDIR\uninst.exe" "" "$INSTDIR\uninst.exe" 0
SectionEnd
Section "Create Desktop shortcut"
	CreateShortCut "$DESKTOP\PicoBoard Emulator.lnk" "$INSTDIR\PicoBoardEmulator.exe" "" "$INSTDIR\PicoBoardEmulator.exe" 0
SectionEnd

UninstPage uninstConfirm
UninstPage instfiles
Section uninstall
	SetShellVarContext all
	DeleteRegKey HKCU "Software\PicoBoardEmulator"
	Delete "$DESKTOP\PicoBoard Emulator.lnk"
	Delete "$SMPROGRAMS\PicoBoard Emulator\*.*"
	RMDir "$SMPROGRAMS\PicoBoard Emulator"
	Delete "$INSTDIR\PicoBoardEmulator.exe"
	Delete "$INSTDIR\PicoBoardEmulator.txt"
	Delete "$INSTDIR\uninst.exe"
	RMDir "$INSTDIR"
	IfFileExists "$INSTDIR" 0 NoErrorMsg
		MessageBox MB_OK "The folder $INSTDIR is not empty and must be manually removed!" IDOK 0
	NoErrorMsg:
	IfFileExists "$SMPROGRAMS\PicoBoard Emulator" 0 NoErrorMsg2
		MessageBox MB_OK "The folder $SMPROGRAMS\PicoBoard Emulator is not empty and must be manually removed!" IDOK 0
	NoErrorMsg2:
SectionEnd